MacOSX: codelite_indexer linked with nonexisting library

CodeLite installation/troubleshooting forum
wuffe
CodeLite Enthusiast
Posts: 27
Joined: Wed Jun 24, 2009 12:41 pm
Contact:

MacOSX: codelite_indexer linked with nonexisting library

Post by wuffe » Thu Jul 22, 2010 1:14 pm

MacOSX: 10.6.4 (Intel)
CodeLite: 2.6.0.4189

Attempting to run the new CodeLite 2.6.0.4189 on MacOSX 10.6.4 (Intel)

codelite_indexer keeps crashing several times per second - well infact it does not really startup...
Is seems that "codelite_indexer" is linked with a dylib that is not present in standard MacOSX 10.6.4 installation

I've got 100s identical MacOSX Crash Diagnostics Reports - :

=============================
Process: codelite_indexer [58965]
Path: /Devtools/CodeLite.app/Contents/SharedSupport/codelite_indexer
Identifier: codelite_indexer
Version: ??? (???)
Code Type: X86 (Native)
Parent Process: codelite [57648]

Date/Time: 2010-07-21 11:00:08.167 +0200
OS Version: Mac OS X 10.6.4 (10F569)
Report Version: 6

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:
Library not loaded: /usr/local/lib/libwx_macu-2.8.0.dylib
Referenced from: /Devtools/CodeLite.app/Contents/SharedSupport/codelite_indexer
Reason: image not found
=============================

RESEARCH:

$ ls -al /usr/local/lib/libwx_macu-2.8.0.dylib
ls: /usr/local/lib/libwx_macu-2.8.0.dylib: No such file or directory

$ ls -al /usr/local/lib/libwx_mac*
ls: /usr/local/lib/libwx_mac*: No such file or directory
$

$ ls -al /usr/lib/libwx_macu-2.8.0.dylib
ls: /usr/lib/libwx_macu-2.8.0.dylib: No such file or directory

$ ls -al /usr/lib/libwx_mac*
-rwxr-xr-x 1 root wheel 16692448 19 Maj 2009 /usr/lib/libwx_macud-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 27 11 Sep 2009 /usr/lib/libwx_macud-2.8.0.dylib -> libwx_macud-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 23 11 Sep 2009 /usr/lib/libwx_macud-2.8.dylib -> libwx_macud-2.8.0.dylib
-rwxr-xr-x 1 root wheel 800592 19 Maj 2009 /usr/lib/libwx_macud_fl-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 30 11 Sep 2009 /usr/lib/libwx_macud_fl-2.8.0.dylib -> libwx_macud_fl-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 26 11 Sep 2009 /usr/lib/libwx_macud_fl-2.8.dylib -> libwx_macud_fl-2.8.0.dylib
-rwxr-xr-x 1 root wheel 230608 19 Maj 2009 /usr/lib/libwx_macud_foldbar-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 35 11 Sep 2009 /usr/lib/libwx_macud_foldbar-2.8.0.dylib -> libwx_macud_foldbar-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 31 11 Sep 2009 /usr/lib/libwx_macud_foldbar-2.8.dylib -> libwx_macud_foldbar-2.8.0.dylib
-rwxr-xr-x 1 root wheel 502480 19 Maj 2009 /usr/lib/libwx_macud_gizmos-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 34 11 Sep 2009 /usr/lib/libwx_macud_gizmos-2.8.0.dylib -> libwx_macud_gizmos-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 30 11 Sep 2009 /usr/lib/libwx_macud_gizmos-2.8.dylib -> libwx_macud_gizmos-2.8.0.dylib
-rwxr-xr-x 1 root wheel 113024 19 Maj 2009 /usr/lib/libwx_macud_gizmos_xrc-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 38 11 Sep 2009 /usr/lib/libwx_macud_gizmos_xrc-2.8.0.dylib -> libwx_macud_gizmos_xrc-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 34 11 Sep 2009 /usr/lib/libwx_macud_gizmos_xrc-2.8.dylib -> libwx_macud_gizmos_xrc-2.8.0.dylib
-rwxr-xr-x 1 root wheel 160912 19 Maj 2009 /usr/lib/libwx_macud_gl-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 30 11 Sep 2009 /usr/lib/libwx_macud_gl-2.8.0.dylib -> libwx_macud_gl-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 26 11 Sep 2009 /usr/lib/libwx_macud_gl-2.8.dylib -> libwx_macud_gl-2.8.0.dylib
-rwxr-xr-x 1 root wheel 98480 19 Maj 2009 /usr/lib/libwx_macud_netutils-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 36 11 Sep 2009 /usr/lib/libwx_macud_netutils-2.8.0.dylib -> libwx_macud_netutils-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 32 11 Sep 2009 /usr/lib/libwx_macud_netutils-2.8.dylib -> libwx_macud_netutils-2.8.0.dylib
-rwxr-xr-x 1 root wheel 776768 19 Maj 2009 /usr/lib/libwx_macud_ogl-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 31 11 Sep 2009 /usr/lib/libwx_macud_ogl-2.8.0.dylib -> libwx_macud_ogl-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 27 11 Sep 2009 /usr/lib/libwx_macud_ogl-2.8.dylib -> libwx_macud_ogl-2.8.0.dylib
-rwxr-xr-x 1 root wheel 286256 19 Maj 2009 /usr/lib/libwx_macud_plot-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 32 11 Sep 2009 /usr/lib/libwx_macud_plot-2.8.0.dylib -> libwx_macud_plot-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 28 11 Sep 2009 /usr/lib/libwx_macud_plot-2.8.dylib -> libwx_macud_plot-2.8.0.dylib
-rwxr-xr-x 1 root wheel 1724096 19 Maj 2009 /usr/lib/libwx_macud_stc-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 31 11 Sep 2009 /usr/lib/libwx_macud_stc-2.8.0.dylib -> libwx_macud_stc-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 27 11 Sep 2009 /usr/lib/libwx_macud_stc-2.8.dylib -> libwx_macud_stc-2.8.0.dylib
-rwxr-xr-x 1 root wheel 210496 19 Maj 2009 /usr/lib/libwx_macud_svg-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 31 11 Sep 2009 /usr/lib/libwx_macud_svg-2.8.0.dylib -> libwx_macud_svg-2.8.0.5.0.dylib
lrwxr-xr-x 1 root wheel 27 11 Sep 2009 /usr/lib/libwx_macud_svg-2.8.dylib -> libwx_macud_svg-2.8.0.dylib
$


CONCLUSION:

no libwx unicode non-debug libs exists on standard MacOSX 10.6.4 - but unicode debug versions exists...

=============================

PS: it is a little confusing that bugs can be reported but here at the codelite forums and in the sf.net bugtracker - which approach do you prefer ?
PPS: previosly posted as bug id: 3032504: codelite_indexer keeps crashing several times per second
http://sourceforge.net/tracker/?func=de ... tid=979960

/Uffe

User avatar
eranif
CodeLite Plugin
Posts: 6081
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: MacOSX: codelite_indexer linked with nonexisting library

Post by eranif » Thu Jul 22, 2010 2:58 pm

There seems to be a problem with the installation script..

codelite_indexer should be using libwx_macu-2.8.0.dylib

The correct output of otool -L should be:
erans-imac-5:Runtime eran$ otool -L ./codelite_indexer
./codelite_indexer:
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 111.1.5)
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit (compatibility version 1.0.0, current version 275.0.0)
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon (compatibility version 2.0.0, current version 136.0.0)
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa (compatibility version 1.0.0, current version 12.0.0)
/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime (compatibility version 1.0.0, current version 1674.0.0)
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL (compatibility version 1.0.0, current version 1.0.0)
/System/Library/Frameworks/AGL.framework/Versions/A/AGL (compatibility version 1.0.0, current version 1.0.0)
@executable_path/libwx_macu-2.8.0.dylib (compatibility version 8.0.0, current version 8.0.0)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 7.4.0)
/usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0)
Instead of /usr/local/lib you should have '@executable_path' (codelite comes with its own version of libwx)

I am uploading a new binary for Mac should be available soon
Eran
Make sure you have read the HOW TO POST thread

wuffe
CodeLite Enthusiast
Posts: 27
Joined: Wed Jun 24, 2009 12:41 pm
Contact:

Re: MacOSX: codelite_indexer linked with nonexisting library

Post by wuffe » Thu Jul 22, 2010 4:03 pm

Hi,

I've just downloaded codelite-mac-intel-2.6.0.4192 and I'm sad to say that it still does not work... but it is close...

codelite_indexer still won't start - this time with a little different Crash dump/diag Report:

===========================
Process: codelite_indexer [193]
Path: /Users/uj/Downloads/CodeLite.app/Contents/SharedSupport/codelite_indexer
Identifier: codelite_indexer
Version: ??? (???)
Code Type: X86 (Native)
Parent Process: codelite [98746]

Date/Time: 2010-07-22 13:52:22.076 +0200
OS Version: Mac OS X 10.6.4 (10F569)
Report Version: 6

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:
Library not loaded: @executable_path/libwx_macu-2.8.0.dylib
Referenced from: /Users/uj/Downloads/CodeLite.app/Contents/SharedSupport/codelite_indexer
Reason: image not found

===========================

$ otool -L /Users/uj/Downloads/CodeLite.app/Contents/SharedSupport/codelite_indexer

/Users/uj/Downloads/CodeLite.app/Contents/SharedSupport/codelite_indexer:
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 111.1.5)
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit (compatibility version 1.0.0, current version 275.0.0)
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon (compatibility version 2.0.0, current version 136.0.0)
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa (compatibility version 1.0.0, current version 12.0.0)
/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime (compatibility version 1.0.0, current version 1674.0.0)
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL (compatibility version 1.0.0, current version 1.0.0)
/System/Library/Frameworks/AGL.framework/Versions/A/AGL (compatibility version 1.0.0, current version 1.0.0)
@executable_path/libwx_macu-2.8.0.dylib (compatibility version 8.0.0, current version 8.0.0)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 7.4.0)
/usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0)

"@executable_path" for codelite_indexer is /....../CodeLite.app/Contents/SharedSupport/codelite_indexer

libwx_macu-2.8.0.dylib is located here /....../CodeLite.app/Contents/MacOS/libwx_macu-2.8.0.dylib

If that should work then "codelite_indexer" should be moved from "CodeLite.app/Contents/SharedSupport" into "CodeLite.app/Contents/MacOS"
But my guess is that codelite_indexer uses a lot of stuff relative to the SharedSupport dir...

/Uffe

User avatar
eranif
CodeLite Plugin
Posts: 6081
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: MacOSX: codelite_indexer linked with nonexisting library

Post by eranif » Thu Jul 22, 2010 4:15 pm

sorry for not testing it atm - I only got access via ssh to build it...

I will try to fix it :/

Eran
Make sure you have read the HOW TO POST thread

wuffe
CodeLite Enthusiast
Posts: 27
Joined: Wed Jun 24, 2009 12:41 pm
Contact:

Re: MacOSX: codelite_indexer linked with nonexisting library

Post by wuffe » Thu Jul 22, 2010 4:23 pm

That's ok :-)

for now I've fixed it with a symlink... ;-)

/Uffe

wuffe
CodeLite Enthusiast
Posts: 27
Joined: Wed Jun 24, 2009 12:41 pm
Contact:

Re: MacOSX: codelite_indexer linked with nonexisting library

Post by wuffe » Fri Jul 23, 2010 3:17 pm

issue solved with revision 4194

Thanks

/Uffe

Post Reply